Subject: Re: bug#70822: flymake mishandles GCC diagnostics in en_US.UTF-8 locale

From: Paul Eggert <[email-masked]>
Date: Wed, 8 May 2024 10:10:00 -0700

> AFAICT, flymake-tests.el injects LC_ALL=C into process-environment (in
> flymake-tests--call-with-fixture called from
> flymake-tests--with-flymake), so why doesn't that affect the locale
> under which the test runs?

I don't know. But shouldn't flymake also work when LC_ALL='en_US.UTF-8'? 
That is, instead of trying (but evidently failing) to check only 
LC_ALL='C', shouldn't flymake-tests also check the LC_ALL='en_US.UTF-8' 
case?

> And could you perhaps show the error message reported by the failing
> test(s) in that case?

The contents of test/lisp/progmodes/flymake-tests.log are attached.